## plinth 20.3

=== doc/Makefile ===
#!/usr/bin/make -f
# SPDX-License-Identifier: AGPL-3.0-or-later

OUTPUTS=freedombox-manual.pdf plinth.1 manual-pages

MANUAL_LANGUAGES=en es

MANUAL_URL="https://wiki.debian.org/{lang-fragment}FreedomBox/Manual?action=show&mimetype=text%2Fdocbook"
MANUAL_URL_RAW="https://wiki.debian.org/{lang-fragment}FreedomBox/Manual?action=raw"
MANUAL_PAGE_URL="https://wiki.debian.org/{lang-fragment}FreedomBox/Manual/{page}?action=show&mimetype=text%2Fdocbook"

DESTDIR=
INSTALL_DIR=$(DESTDIR)/usr/share/doc/freedombox
SCRIPTS_DIR=scripts

manual-pdfs=$(foreach lang,$(MANUAL_LANGUAGES),manual/$(lang)/freedombox-manual.pdf)
manual-xmls=$(patsubst %.pdf,%.xml,$(manual-pdfs))
OUTPUTS=$(manual-pdfs) plinth.1 manual-pages

INSTALL_OPTS=-D --mode=644

# In order to debug various problems with the documents especially
# intermediate LaTeX state, run make as follows:
#
#   $ make DEBUG=true
#   or
#   $ make DEBUG=true <target>
#
XMLTO_DEBUG_FLAGS=
ifneq ($(DEBUG),)
	XMLTO_DEBUG_FLAGS=--noclean -p '--debug'
endif

.PHONY: all install
all: $(OUTPUTS)

install: all
	for file in $(manual-pages-part-html) $(manual-pdfs); do \
		install $(INSTALL_OPTS) -t $(INSTALL_DIR)/$$(dirname $${file}) \
			$${file} ; \
	done
	for lang in $(MANUAL_LANGUAGES); do \
		install $(INSTALL_OPTS) manual/$${lang}/images/*.png \
			manual/$${lang}/images/*.jpg \
			-t $(INSTALL_DIR)/manual/$${lang}/images ; \
	done

# Do not edit the manual page in this directory.  The manual is
# maintained as separate pages on the FreedomBox wiki and aggregated
# into a single page using the MoinMoin include feature.  Then it is
# exported as Docbook format and kept here.
#
# It is important to keep a copy of the manual in this source tree
# because Debian packages promise an entire source tree including the
# documentation.
#
# Use 'make fetch' to retrieve the latest manual from the wiki and
# commit it to the repository.  The wiki page is already reviewed, so
# commits that update the manual just using the 'fetch' target do not
# require further reviews.
fetch-main-list:=$(foreach lang,$(MANUAL_LANGUAGES),fetch-main-$(lang))
fetch-pages-list:=$(foreach lang,$(MANUAL_LANGUAGES),fetch-pages-$(lang))

.PHONY: fetch $(fetch-main-list) $(fetch-pages-list)
fetch: $(fetch-main-list) $(fetch-pages-list)

fetch-main-%: lang = $*
fetch-main-%: lang-fragment = $(subst en/,,$*/)
$(fetch-main-list): fetch-main-%:
	MANUAL_URL_LANG=$(subst {lang-fragment},$(lang-fragment),$(MANUAL_URL)) ; \
	wget --quiet -O - $${MANUAL_URL_LANG} | \
	  xmllint --format --output manual/$(lang)/freedombox-manual.raw.xml -
	mkdir -p manual/$(lang)/images/
	xsltproc $(SCRIPTS_DIR)/fetch-images.xslt manual/$(lang)/freedombox-manual.raw.xml | \
	  sort -u | \
	  awk 'NF {print "wget --quiet -O manual/$(lang)/images/" $$1 " " $$2}' | \
	  sh

fetch-pages-%: lang = $*
fetch-pages-%: lang-fragment = $(subst en/,,$*/)
$(fetch-pages-list): fetch-pages-%:
	MANUAL_URL_LANG=$(subst {lang-fragment},$(lang-fragment),$(MANUAL_URL_RAW)) ; \
	MANUAL_PAGE_URL_LANG=$(subst {lang-fragment},$(lang-fragment),$(MANUAL_PAGE_URL)) ; \
	PAGES=$$(wget --quiet -U Firefox -O - $${MANUAL_URL_LANG} | \
	  sed -n -e "s|.*FreedomBox/Manual/\([a-zA-Z0-9_-]*\).*|\1|p" | sort -u | \
	  grep -v -e GettingHelp -e Developer -e QuickStart) ; \
	for PAGE in $${PAGES} ; do \
	  FILE="manual/$(lang)/$${PAGE}.raw.xml" ; \
	  URL=$$(echo $${MANUAL_PAGE_URL_LANG} | sed "s/{page}/$${PAGE}/") ; \
	  echo "Downloading $(lang) $${PAGE}" ; \
	  wget --quiet --user-agent=Firefox -O $${FILE} $${URL} ; \
	done

manual-pages-raw:=$(foreach lang,$(MANUAL_LANGUAGES),$(filter-out manual/%/freedombox-manual.raw.xml,$(wildcard manual/$(lang)/*.raw.xml)))
manual-pages-part-html:=$(patsubst %.raw.xml, %.part.html, $(manual-pages-raw)) $(foreach lang,$(MANUAL_LANGUAGES),manual/$(lang)/freedombox-manual.part.html)
manual-pages-html:=$(patsubst %.part.html, %.html, $(manual-pages-part-html))
manual-pages-xml:=$(patsubst %.raw.xml, %.xml, $(manual-pages-raw))

.PHONY: manual-pages
manual-pages: $(manual-pages-part-html)

$(manual-pdfs): %.pdf: %.xml
	xmlto $(XMLTO_DEBUG_FLAGS) --with-dblatex pdf -o $(dir $@) $<

$(manual-pages-part-html): %.part.html: %.html
	perl -pe 'BEGIN {undef $$/} s/.*<body[^>]*>(.*)<\/body\s*>.*/$$1/si' $< > $@

$(manual-xmls): %.xml: %.raw.xml $(SCRIPTS_DIR)/fixes.xslt
	xsltproc --output $@ $(SCRIPTS_DIR)/fixes.xslt $<

$(manual-pages-xml): %.xml: %.raw.xml $(SCRIPTS_DIR)/manual-page-fixes.xslt
	xsltproc --output $@ $(SCRIPTS_DIR)/manual-page-fixes.xslt $<
	$(SCRIPTS_DIR)/post-processor remove-footer $@
	$(SCRIPTS_DIR)/post-processor fix-wiki-urls $@

$(manual-pages-html): %.html: %.xml
	xsltproc --output $@ /usr/share/xml/docbook/stylesheet/docbook-xsl/xhtml5/docbook.xsl $<
	rm -f $(dir $@)docbook.css

%.1: %.xml
	xmlto man $<

.PHONY: clean
clean:
	rm -f $(manual-pages-html) $(manual-pages-part-html) $(manual-pages-xml) $(manual-xmls)
	rm -f $(OUTPUTS)

=== debian/changelog ===
plinth (20.3) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * web_framework: Separate out Django settings into module
  * doc/dev: Allow all modules to be imported by Sphinx
  * notification: Add developer documentation
  * doc/dev: Update copyright year
  * app: Update style for toggle button
  * app: Drop border shadow for app icon in mobile view
  * app: cosmetic: Minor refactoring of header styling
  * app: Simplify some header styling
  * app: cosmetic: Rename a CSS style class in app header
  * app: cosmetic: Rename header.html to app-header.html
  * app: Show short description as secondary title
  * networks: Fix i18n for wizard forms
  * networks: Minor changes to router/internet configuration forms
  * web_framework: Generate and retain a secret key
  * web_framework: Cleanup expired sessions every week

  [ Nektarios Katakis ]
  * networks: Add form for internet connection type
  * networks: Add network view and url for internet connection help page
  * networks: Link internet connection help page with networks page.
  * networks: All first step wizard form for internet connection type
  * networks: Add first boot step for internet connection type
  * networks: Save to kvstore internet connectivity type
  * networks: Refactor connections list template
  * networks: Show internet connectivity string in main page

  [ Michael Breidenbach ]
  * Translated using Weblate (German)
  * Translated using Weblate (Swedish)

  [ Dietmar ]
  * Translated using Weblate (Italian)

  [ Jaime Marquínez Ferrándiz ]
  * Translated using Weblate (Spanish)

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ Joseph Nuthalapati ]
  * shadowsocks: Fix shadowsocks not able to start

  [ James Valleroy ]
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 24 Feb 2020 20:16:12 -0500

plinth (20.2.1) unstable; urgency=high

  [ Veiko Aasa ]
  * apps: remove css filters and glow from app icons
  * config: Depends also on apache module

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)
  * Translated using Weblate (Italian)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Sunil Mohan Adapa ]
  * cards: Remove the transition delay on hover effect
  * system: Implement new style for cards
  * jsxc: Bypass issue with stronghold to get the app working again
  * jsxc: Fix functional test case failure
  * functional_tests: cosmetic: Minor yapf change
  * app: Introduce Info component to store basic app information
  * app: Add info property as shortcut to access basic information
  * app: Refactor all apps to use the Info component
  * app: Document the app_id property for App class
  * doc/dev: Include information on how to edit dev documentation
  * views: Document the AppView class properties
  * monkeysphere: Fix regression with reading Apache configuration
  * Translated using Weblate (Italian)
  * firewall: Use firewalld DBus API for most operations
  * *.py: Use SPDX license identifier
  * *.html: Use SPDX license identifier
  * actions/*: Use SPDX license identifier
  * functional_tests: Use SPDX license identifier
  * *.css: Use SPDX license identifier
  * *: Update misc build related files to use SPDX license identifier
  * doc/dev: Update tutorial to use SPDX license indentifier
  * *: Update remaining misc files to use SPDX license identifier
  * *.js: Use SPDX license identifier
  * help: Fix attribute on download manual button
  * css: Add missing license identifier on some CSS files
  * firewalld: Ignore errors with DBus API when firewalld is not running
  * deluge: Don't use code execution for editing configuration
  * deluge: More reliable initial configuration setup

  [ Joseph Nuthalapati ]
  * l10n: Fix gettext not detecting no-python-format
  * samba: Add link to manual page
  * searx: Update search engines for 0.16.0

  [ Allan Nordhøy ]
  * openvpn: Fix spelling for Tunnelblick
  * Translated using Weblate (Norwegian Bokmål)

  [ Nektarios Katakis ]
  * bind: parse zones files
  * bind: test for parsing zones file with specific format
  * bind: views show served domains in main view
  * bind: create zones directory on setup action

  [ James Valleroy ]
  * bind: Bump version and handle upgrade

  [ Ralf Barkow ]
  * Translated using Weblate (German)

  [ nautilusx ]
  * Translated using Weblate (German)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Lev Lamberov ]
  * debian: Update Russian translation for debconf (Closes: #951440)

  [ Radek Pasiok ]
  * Translated using Weblate (Polish)

  [ Alice Kile ]
  * gitignore: Add .vscode & segregate editor settings

  [ Thomas Vincent ]
  * Translated using Weblate (French)

 -- James Valleroy <jvalleroy@mailbox.org>  Fri, 21 Feb 2020 22:38:12 -0500

=== debian/control ===
Source: plinth
Section: web
Priority: optional
Maintainer: FreedomBox packaging team <freedombox-pkg-team@lists.alioth.debian.org>
Uploaders:
 Tzafrir Cohen <tzafrir@debian.org>,
 Piotr Ożarowski <piotr@debian.org>,
 Petter Reinholdtsen <pere@debian.org>,
 Sunil Mohan Adapa <sunil@medhas.org>,
 Nick Daly <Nick.M.Daly@gmail.com>,
 Federico Ceratto <federico@debian.org>,
 James Valleroy <jvalleroy@mailbox.org>,
Build-Depends:
 debhelper-compat (= 12),
 dblatex,
 dh-python,
 docbook-xsl,
 e2fsprogs,
 gir1.2-nm-1.0,
 libjs-bootstrap,
 python3-all,
 python3-apt,
 python3-augeas,
 python3-bootstrapform,
 python3-cherrypy3,
 python3-configobj,
 python3-dbus,
 python3-django (>= 1.11),
 python3-django-axes (>= 3.0.3),
 python3-django-captcha,
 python3-django-stronghold (>= 0.3.0),
 python3-flake8,
 python3-gi,
 python3-markupsafe,
 python3-paramiko,
 python3-psutil,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-django,
 python3-pytest-runner,
 python3-requests,
 python3-ruamel.yaml,
 python3-setuptools,
 python3-setuptools-git,
 python3-yaml,
 xmlto,
 xsltproc
Standards-Version: 4.5.0
Homepage: https://salsa.debian.org/freedombox-team/plinth
Vcs-Git: https://salsa.debian.org/freedombox-team/plinth.git
Vcs-Browser: https://salsa.debian.org/freedombox-team/plinth
Rules-Requires-Root: no

Package: freedombox
Breaks:
 freedombox-setup (<< 0.13~),
 plinth (<< 0.46.0~),
Replaces:
 freedombox-setup (<< 0.13~),
 plinth (<< 0.46.0~),
Architecture: all
Provides: plinth
Depends:
 ${python3:Depends},
 ${misc:Depends},
 ${freedombox:Depends},
 adduser,
 augeas-tools,
 curl,
 debconf,
 dnsutils,
 e2fsprogs,
 fonts-fork-awesome,
 fonts-lato,
 gettext,
 gir1.2-glib-2.0,
 gir1.2-nm-1.0,
 javascript-common,
 ldapscripts,
# For gdbus used to call hooks into service
 libglib2.0-bin,
 libjs-bootstrap,
 libjs-jquery,
 libjs-modernizr,
 lsof,
 netcat-openbsd,
 network-manager,
 node-turbolinks,
 ppp,
 pppoe,
 python3-apt,
 python3-argon2,
 python3-augeas,
 python3-bootstrapform,
 python3-cherrypy3,
 python3-configobj,
 python3-dbus,
 python3-django (>= 1.11),
 python3-django-axes (>= 3.0.3),
 python3-django-captcha,
 python3-django-stronghold,
 python3-gi,
 python3-markupsafe,
 python3-paramiko,
 python3-psutil,
 python3-requests,
 python3-ruamel.yaml,
 python3-yaml,
 sudo,
 wget,
Recommends:
# Priority: standard
 bzip2,
# Provides brctl for controlling bridges
 bridge-utils,
# Read, write to char devices
 devio,
# Create, repair DOS filesystems
 dosfstools,
# Priority: standard
 file,
# Provide entropy using HAVEGE algorithm
 haveged,
# Monitor system resources
 htop,
# Monitor network traffic statistics
 iftop,
# Basic network utitlity ping
 iputils-ping,
# Manage wireless devices
 iw,
# Resolve gateway.localhost
 libnss-gw-name,
# Resolve .local address using mDNS
 libnss-mdns,
# Resolve current hostname without /etc/hosts
 libnss-myhostname,
# Tighter $TMPDIR permissions
 libpam-tmpdir,
# Block repeated failed PAM login attempts
 libpam-abl,
# Priority: standard
 locales,
# Precompiled data for all locales
 locales-all,
# Priority: standard
 openssh-client,
# Priority: standard
 pciutils,
# Used by unattended-upgrades to check if running on AC power
 powermgmt-base,
# fuser, pstree and other utilities
 psmisc,
# Optional FreedomBox dependency
 python3-systemd,
# Manage /etc/resolv.conf
 resolvconf,
# Tool to kill WLAN, Bluetooth and moble broadband
 rfkill,
# Monitor network traffic
 tcpdump,
# Basic editor, VIM style
 vim-tiny,
# iwconfig, iwlist and other wireless network tools
 wireless-tools,
# Priority: standard
 whois,
# Basic editor, Emacs style
 zile,
Description: easy to manage, privacy oriented home server
 FreedomBox is designed to be your own inexpensive server at home. It runs free
 software and offers an increasing number of services ranging from a calendar or
 jabber server to a wiki or VPN. A web interface allows you to easily install
 and configure your apps.
 .
 This package provides the FreedomBox Service (Plinth) which installs,
 configures and manages all functions of FreedomBox. The service is managed
 using a web interface available at https://localhost/.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_DESTDIR=debian/freedombox

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install-indep:
	dh_auto_install
	./run --list-dependencies 2> /dev/null | sort | tr '\n' ', ' | \
		sed -e 's/^/freedombox:Depends=/' >> debian/freedombox.substvars

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="{interpreter} setup.py test" dh_auto_test

=== debian/tests/control ===
#
# Smoke test to check various basics on an installed version of Plinth. This
# checks that the following aspects are working okay:
#   - Python runtime
#   - Python library dependencies
#   - Plinth configuration
#   - Ability to create and initialize database
#   - Module inititailzation for essential modules
#
Test-Command: plinth --list-modules 2> /dev/null
Restrictions: needs-root

## plinth 20.12.1

=== doc/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 MANUAL_PAGE_URL="https://wiki.debian.org/{lang-fragment}FreedomBox/Manual/{page}?action=show&mimetype=text%2Fdocbook"
 
 DESTDIR=
-INSTALL_DIR=$(DESTDIR)/usr/share/doc/freedombox
+INSTALL_DIR=$(DESTDIR)/usr/share/freedombox
 SCRIPTS_DIR=scripts
 
 manual-pdfs=$(foreach lang,$(MANUAL_LANGUAGES),manual/$(lang)/freedombox-manual.pdf)

=== debian/changelog ===
plinth (20.12.1) unstable; urgency=high

  [ nautilusx ]
  * Translated using Weblate (German)

  [ Robert Pollak ]
  * Translated using Weblate (German)

  [ J. Lavoie ]
  * Translated using Weblate (French)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Sunil Mohan Adapa ]
  * cfg, frontpage: Ignore errors while reading config and shortcuts

  [ Milo Ivir ]
  * Translated using Weblate (German)

 -- James Valleroy <jvalleroy@mailbox.org>  Sun, 05 Jul 2020 15:40:30 -0400

plinth (20.12) unstable; urgency=medium

  [ Oğuz Ersen ]
  * Translated using Weblate (Turkish)

  [ Sunil Mohan Adapa ]
  * Translated using Weblate (Telugu)
  * transmission: tests: functional: Fix to wait properly
  * ttrss: tests: functional: Fix to wait properly
  * tor: tests: functional: Fix to wait properly on progress page
  * users: tests: functional: Leave no-language as final setting
  * mldonkey: tests: functional: Wait for frame to load properly
  * snapshot: tests: functional: Delete all snapshots properly
  * ejabberd: tests: functional: Fixes for no implicit waiting
  * syncthing: tests: functional: Fix to wait properly
  * tests: functional: Remove implicit and explicit wait times
  * tests: functional: Allow parallel installation of apps
  * d/control: Add python3-systemd as a dependency
  * apache: Add ssl-cert package as dependency
  * storage: Use DBus directly for listing disks
  * storage: Fix regression with showing error messages
  * storage: Use UDisks information as primary source
  * storage: Don't show empty progress bar for disks not mounted
  * storage: Remove rule to not automount system disks with no paritions
  * storage: Don't auto-mount loopback devices except in develop mode
  * storage: Allow ejecting any device not in fstab or crypttab
  * storage: Ignore eject failures if filesystems unmounted properly
  * backups: Remove an unnecessary print() statement
  * Translated using Weblate (Telugu)
  * container: Remove sqlite3 file early enough
  * storage: Don't log exception of disk space check fails
  * storage: Use mount info instead of disk info for free space warning
  * notifications: Fix issue with redirection on dismiss
  * views: Drop use of private Django utility
  * cfg: Don't fallback to develop config if main is not found
  * cfg: Drop the default configuration file
  * frontpage: Read custom shortcuts from multiple locations
  * frontpage: Drop empty custom shortcut files
  * cfg: Allow loading multiple configuration files
  * cfg: For develop mode, overlay on top of regular configuration
  * context_processor: tests: Use already available config fixture
  * cfg: Eliminate the need for 'root' directory in configuration
  * cfg: Move /plinth.config to plinth/develop.config
  * cfg: Rename configuration file to freedombox.config
  * d/tests/control: Rename Plinth to FreedomBox in a comment
  * cfg: Read configuration from .d files and multiple locations
  * frontpage: Load shortcuts from .d directories too
  * frontpage: Read from .d files too
  * cfg: Remove redundant data in develop.config
  * cfg: Remove comments in test data
  * cfg: In develop mode, use /var/lib for DB and sessions
  * web_framework: Split initialization into two parts
  * web_framework: Don't create Django secret key when listing depends
  * log: Allow setting the default log level before log configuration
  * main: List dependencies without writing to disk
  * d/rules: vagrant: INSTALL.md: Fix installing dependencies
  * *: Drop files paths in data/var
  * doc: Update manual page with configuration file changes
  * network: test: Fix race condition when deleting connections
  * storage: tests: Ignore cases needing loop devices when not available
  * actions: tests: Fix test failures due order of fixtures
  * tests: Use develop configuration for most tests
  * templates: Disable button and show spinner on submit for all forms
  * backups: Remove custom handling of progress on the restore button
  * js: Simplify auto-refresh page logic
  * jsxc: Remove inline javascript
  * apache: Set CSP and other common security headers
  * apache: Relax CSP to allow web workers for JSXC
  * locale: Update translation strings

  [ ferhad.necef ]
  * Translated using Weblate (Russian)

  [ Thomas Vincent ]
  * Translated using Weblate (French)

  [ Joseph Nuthalapati ]
  * Translated using Weblate (Telugu)

  [ wind ]
  * Translated using Weblate (Russian)

  [ James Valleroy ]
  * upgrades: Combine into single page with manual update
  * upgrades: Skip enable-auto in develop mode
  * debian: Add nscd >= 2 as dependency
  * upgrades: Append unattended-upgrades-dpkg.log for more detail
  * storage: Handle multi-line text in functional test
  * apt: Run `apt-get -f install` before other commands
  * apt: Run `dpkg --configure -a` before other actions
  * upgrades: Skip enabling backports on testing and unstable
  * networks: Remove firewall zone warning
  * networks: Correct wording of internet connection form

  [ Veiko Aasa ]
  * functional-tests: Handle connection error when web server restarts
  * functional-tests: Skip tests if app is not available in distribution
  * functional-tests: Fix page not fully loaded errors when taking backups
  * functional-tests: Remove unnecessary wait when navigating to module

  [ Michael Breidenbach ]
  * Translated using Weblate (German)
  * Translated using Weblate (Swedish)

  [ Fioddor Superconcentrado ]
  * Translated using Weblate (Spanish)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Éfrit ]
  * Translated using Weblate (French)

  [ Jens Molgaard ]
  * Translated using Weblate (Danish)

 -- Sunil Mohan Adapa <sunil@medhas.org>  Mon, 29 Jun 2020 16:39:33 -0700

plinth (20.11) unstable; urgency=medium

  [ Thomas Vincent ]
  * Translated using Weblate (French)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Michael Breidenbach ]
  * Translated using Weblate (German)


=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  Federico Ceratto <federico@debian.org>,
  James Valleroy <jvalleroy@mailbox.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dblatex,
  dh-python,
  docbook-xsl,
@@ -46,9 +46,9 @@
  xmlto,
  xsltproc
 Standards-Version: 4.5.0
-Homepage: https://salsa.debian.org/freedombox-team/plinth
-Vcs-Git: https://salsa.debian.org/freedombox-team/plinth.git
-Vcs-Browser: https://salsa.debian.org/freedombox-team/plinth
+Homepage: https://salsa.debian.org/freedombox-team/freedombox
+Vcs-Git: https://salsa.debian.org/freedombox-team/freedombox.git
+Vcs-Browser: https://salsa.debian.org/freedombox-team/freedombox
 Rules-Requires-Root: no
 
 Package: freedombox
@@ -85,7 +85,8 @@
  lsof,
  netcat-openbsd,
  network-manager,
- node-turbolinks,
+# Ensure that nscd is installed rather than unscd.
+ nscd (>= 2),
  ppp,
  pppoe,
  python3-apt,
@@ -105,6 +106,7 @@
  python3-psutil,
  python3-requests,
  python3-ruamel.yaml,
+ python3-systemd,
  python3-yaml,
  sudo,
  wget,
@@ -119,6 +121,11 @@
  dosfstools,
 # Priority: standard
  file,
+# Wifi firmware
+ firmware-ath9k-htc,
+# FreedomBox documentation
+ freedombox-doc-en,
+ freedombox-doc-es,
 # Provide entropy using HAVEGE algorithm
  haveged,
 # Monitor system resources
@@ -151,8 +158,6 @@
  powermgmt-base,
 # fuser, pstree and other utilities
  psmisc,
-# Optional FreedomBox dependency
- python3-systemd,
 # Manage /etc/resolv.conf
  resolvconf,
 # Tool to kill WLAN, Bluetooth and moble broadband
@@ -176,3 +181,33 @@
  This package provides the FreedomBox Service (Plinth) which installs,
  configures and manages all functions of FreedomBox. The service is managed
  using a web interface available at https://localhost/.
+
+Package: freedombox-doc-en
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: easy to manage, privacy oriented home server - user manual (English)
+ FreedomBox is designed to be your own inexpensive server at home. It runs free
+ software and offers an increasing number of services ranging from a calendar or
+ jabber server to a wiki or VPN. A web interface allows you to easily install
+ and configure your apps.
+ .
+ This package contains the English user manual in HTML and PDF formats. It
+ describes how to setup and use each application in FreedomBox and FreedomBox
+ itself. It is accessible from Help menu in the FreedomBox web interface.
+
+Package: freedombox-doc-es
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: easy to manage, privacy oriented home server - user manual (Spanish)
+ FreedomBox is designed to be your own inexpensive server at home. It runs free
+ software and offers an increasing number of services ranging from a calendar or
+ jabber server to a wiki or VPN. A web interface allows you to easily install
+ and configure your apps.
+ .
+ This package contains the Spanish user manual in HTML and PDF formats. It
+ describes how to setup and use each application in FreedomBox and FreedomBox
+ itself. It is accessible from Help menu in the FreedomBox web interface.

=== debian/tests/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # checks that the following aspects are working okay:
 #   - Python runtime
 #   - Python library dependencies
-#   - Plinth configuration
+#   - FreedomBox configuration
 #   - Ability to create and initialize database
 #   - Module inititailzation for essential modules
 #

## plinth 20.17

=== debian/changelog ===
plinth (20.17) unstable; urgency=medium

  [ Fioddor Superconcentrado ]
  * package: i18n: Mark progress status strings for translation
  * networks: i18n: Mark string for translation on delete page
  * networks: i18n: Mark various strings for translation
  * notifications: i18n: Mark app names and extra data for translation
  * networks: css: Make button wider in network list
  * Translated using Weblate (Spanish)

  [ Sunil Mohan Adapa ]
  * backups: i18n: Mark form success messages for translation
  * doc: wikiparser: Fix issue with running parser outside doc/ dir
  * upgrades: Disable the option when not able to dist upgrade
  * ci: Split testing stages into smaller stages

  [ Coucouf ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)

  [ Jens Molgaard ]
  * Translated using Weblate (Danish)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Praveen Illa ]
  * Translated using Weblate (Telugu)

  [ James Valleroy ]
  * Translated using Weblate (Danish)
  * ci: Run wikiparser doctests
  * wikiparser: Exit with return value 1 on test failure
  * upgrades: Add a setting to enable dist upgrade
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Michael Breidenbach ]
  * Translated using Weblate (German)
  * Translated using Weblate (Swedish)

  [ marklin0913 ]
  * Added translation using Weblate (Chinese (Traditional))

  [ Joseph Nuthalapati ]
  * mediawiki: Ensure password file is not empty
  * mediawiki: Add action to set domain name

  [ Dietmar ]
  * Translated using Weblate (German)
  * Translated using Weblate (Italian)

  [ Radek Pasiok ]
  * Translated using Weblate (Polish)

  [ Onurb ]
  * apache: setup uwsgi by default

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 02 Nov 2020 19:45:57 -0500

plinth (20.16) unstable; urgency=medium

  [ Oğuz Ersen ]
  * Translated using Weblate (Turkish)

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)
  * Translated using Weblate (Turkish)

  [ Nikita Epifanov ]
  * Translated using Weblate (Russian)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (Chinese (Simplified))
  * Translated using Weblate (Slovenian)
  * Translated using Weblate (Greek)
  * Translated using Weblate (Norwegian Bokmål)

  [ Veiko Aasa ]
  * diagnostics: Show low system memory notifications
  * notifications: Show severity level on every notification

  [ Coucouf ]
  * Translated using Weblate (French)

  [ James Valleroy ]
  * app: Add donation links in dropdown menu
  * debian: Add Brazilian Portuguese debconf templates translation
    (Closes: #972449)
    - Thanks to Adriano Rafael Gomes for the translation.
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Fioddor Superconcentrado ]
  * upgrades: Add status section showing version and upgrade status
  * diagnostics: Lazy format all diagnostic test strings properly
  * Translated using Weblate (Spanish)
  * help: Link to updates page when new version is available
  * updates: Eliminate delay and better status for manual upgrade

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ Sunil Mohan Adapa ]
  * calibre: Add link to donation page
  * app: Make the donation button more prominent
  * calibre: Update group description to reflect 'using' app

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 19 Oct 2020 20:42:32 -0400

plinth (20.15) unstable; urgency=medium

  [ Coucouf ]
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)
  * Translated using Weblate (French)

  [ Joseph Nuthalapati ]
  * bepasty: Change default permissions to 'read'
  * calibre: Add new e-book library app
  * calibre: Minor changes to app description
  * container: Handle edge cases with container update

  [ Fioddor Superconcentrado ]
  * HACKING: Add extra development requirements
  * CONTRIBUTING: Require flake8 compliance
  * Translated using Weblate (Spanish)
  * HACKING.md: Re-organised contents according to onboarding journey
  * Translated using Weblate (Spanish)

  [ Sunil Mohan Adapa ]
  * module_loader, web_framework: Update console log messages
  * dynamicdns: Drop unnecessary code to set app as enabled
  * pagekite: Don't announce unconfigured kite as a valid domain
  * pagekite: Don't update names module if not installed
  * tor: Don't check if enabled when not installed
  * tests: functional: Simplify calling the login helper
  * doc: Before fetching, drop all old to cleanup deleted pages/images
  * coturn: Don't handle certificates if not installed
  * quassel: Don't handle certificates if not installed
  * quassel: Fix minor typo
  * mumble: Store and use a single domain for TLS certificate setup
  * doc: dev: Link to list of potential apps from tutorial
  * coturn: Don't handle certificates if not installed
  * quassel: Don't handle certificates if not installed
  * users: Deal with admin user already existing during first boot
  * users: cosmetic: Yapf refactoring
  * *: Minor flake8 fixes
  * debian/control: Add sshpass as build dependency

  [ Michael Breidenbach ]
  * Translated using Weblate (Swedish)

  [ ssantos ]
  * Translated using Weblate (Portuguese)

  [ Phil Morrell ]
  * mumble: configure letsencrypt component

  [ Burak Yavuz ]
  * Translated using Weblate (Turkish)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Veiko Aasa ]
  * ssh: action script: Require user credentials when editing ssh keys
  * users: Require admin credentials when creating or editing a user
  * container: Assign virtual network interface to trusted firewall zone

  [ James Valleroy ]
  * upgrades: Extend function to check for normal dist availability
  * upgrades: Detect and upgrade to next stable release


=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
  python3-flake8,
  python3-gi,
  python3-markupsafe,
+ python3-pampy,
  python3-paramiko,
  python3-psutil,
  python3-pytest,
@@ -43,6 +44,7 @@
  python3-setuptools,
  python3-setuptools-git,
  python3-yaml,
+ sshpass,
  xmlto,
  xsltproc
 Standards-Version: 4.5.0
@@ -72,6 +74,8 @@
  e2fsprogs,
  fonts-fork-awesome,
  fonts-lato,
+# sgdisk is used in storage app to expand GPT disks
+ gdisk,
  gettext,
  gir1.2-glib-2.0,
  gir1.2-nm-1.0,
@@ -102,6 +106,7 @@
  python3-django-stronghold,
  python3-gi,
  python3-markupsafe,
+ python3-pampy,
  python3-paramiko,
  python3-psutil,
  python3-requests,
